# coding: utf-8
import os

from pip.download import PipSession
from pip.req.req_file import parse_requirements
from setuptools import find_packages
from setuptools import setup


def _get_requirements(file_name):
    pip_session = PipSession()
    requirements = parse_requirements(file_name, session=pip_session)

    return tuple(str(requirement.req) for requirement in requirements)


def _read(fname):
    try:
        return open(os.path.join(os.path.dirname(__file__), fname)).read()
    except IOError:
        return ''


setup(
    name='m3-d15n',
    url='https://stash.bars-open.ru/projects/M3/repos/m3-d15n',
    license='MIT',
    author='BARS Group',
    author_email='bars@bars-open.ru',
    description=u'Подсистема деперсонализации данных в БД',
    long_description=_read('README.rst'),
    classifiers=(
        b'Intended Audience :: Developers',
        b'Environment :: Web Environment',
        b'Natural Language :: Russian',
        b'Natural Language :: English',
        b'Operating System :: OS Independent',
        b'Development Status :: 5 - Production/Stable',
        b'Programming Language :: Python',
        b'Programming Language :: Python :: 2.7',
        b'Programming Language :: Python :: 3.6',
        b'Framework :: Django :: 1.8',
        b'Framework :: Django :: 1.9',
        b'Framework :: Django :: 1.10',
        b'Framework :: Django :: 1.11',
    ),

    package_dir={'': 'src'},
    packages=find_packages('src'),
    install_requires=_get_requirements('requirements/prod.txt'),
    include_package_data=True,

    dependency_links=(
        'http://pypi.bars-open.ru/simple/m3-builder',
    ),
    setup_requires=(
        'm3-builder>=1.1',
    ),
    set_build_info=os.path.dirname(__file__),
)
